busvoodoo_hiz.c File Reference

BusVoodoo high impedance (HiZ) default mode (code) More...

Go to the source code of this file.

## Macros

#define | BUSVOODOO_LV_DEFAULT (0.8*(1+30.0/10.0))
| default (when not driven) LV voltage regulator output voltage based on R1 and R2
#define | BUSVOODOO_LV_TEST 2.5
| target LV output voltage to test if we can set control the LV voltage regulator
#define | BUSVOODOO_HV_DEFAULT (1.25*(1+100.0/10.0))
| default (when not driven) HV voltage regulator output voltage based on R1 and R2
#define | BUSVOODOO_HV_TEST 12.0
| target HV output voltage to test if we can set control the HV voltage regulator

## Functions

static bool | busvoodoo_hiz_setup (char **prefix, const char *line)
| setup HiZ mode More...
static void | busvoodoo_hiz_exit (void)
| exit HiZ mode
static bool | busvoodoo_hiz_test_self (bool halt)
| perform self tests More...
static bool | busvoodoo_hiz_test_pins (bool halt)
| test if signals are soldered correctly to the connector pins More...
static void | busvoodoo_hiz_bootloader (void *argument)
| switch to DFU bootloader More...
static void | busvoodoo_hiz_version (void *argument)
| show BusVoodoo version More...
static void | busvoodoo_hiz_command_test_self (void *argument)
| command to perform board self-test More...
static void | busvoodoo_hiz_command_test_pins (void *argument)
| command to perform pins test More...

## Variables

static const struct menu_command_t | busvoodoo_hiz_commands []
| HiZ menu commands.
const struct busvoodoo_mode_t | busvoodoo_hiz_mode
| HiZ mode interface definition. More...

## Detailed Description

BusVoodoo high impedance (HiZ) default mode (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file busvoodoo_hiz.c.

## Function Documentation

## busvoodoo_hiz_bootloader()

static void busvoodoo_hiz_bootloader | ( | void * | argument | ) |

static

switch to DFU bootloader

Parameters

  [in] | argument | no argument required

Note
  this handler is in HiZ mode only to save shortcut space and reduce menu size

Definition at line 757 of file busvoodoo_hiz.c.

## busvoodoo_hiz_command_test_pins()

static void busvoodoo_hiz_command_test_pins | ( | void * | argument | ) |

static

command to perform pins test

Parameters

  [in] | argument | "halt" to halt on error

Definition at line 818 of file busvoodoo_hiz.c.

## busvoodoo_hiz_command_test_self()

static void busvoodoo_hiz_command_test_self | ( | void * | argument | ) |

static

command to perform board self-test

Parameters

  [in] | argument | "halt" to halt on error

Definition at line 782 of file busvoodoo_hiz.c.

## busvoodoo_hiz_setup()

static bool busvoodoo_hiz_setup | ( | char ** | prefix,
|  | const char * | line
| ) |  |

static

setup HiZ mode

Parameters

  [out] | prefix | terminal prompt prefix
  [in] | line | terminal prompt line to configure mode

Returns
  if setup is complete

Definition at line 51 of file busvoodoo_hiz.c.

## busvoodoo_hiz_test_pins()

static bool busvoodoo_hiz_test_pins | ( | bool | halt | ) |

static

test if signals are soldered correctly to the connector pins

Parameters

  [in] | halt | halt on error instead of exiting immediately (exit on user input)

Returns
  if pin test passed

Definition at line 404 of file busvoodoo_hiz.c.

## busvoodoo_hiz_test_self()

static bool busvoodoo_hiz_test_self | ( | bool | halt | ) |

static

perform self tests

Parameters

  [in] | halt | halt on error instead of exiting immediately (exit on user input)

Returns
  if self tests passed

Definition at line 83 of file busvoodoo_hiz.c.

## busvoodoo_hiz_version()

static void busvoodoo_hiz_version | ( | void * | argument | ) |

static

show BusVoodoo version

Parameters

  [in] | argument | no argument required

Note
  this handler is in HiZ mode only to save shortcut space and reduce menu size

Definition at line 769 of file busvoodoo_hiz.c.

## Variable Documentation

## busvoodoo_hiz_mode

const struct busvoodoo_mode_t busvoodoo_hiz_mode

Initial value:
= {
.name = "hiz",
.description = "High Impedance (Z)",
.full_only = false,
.setup = &busvoodoo_hiz_setup,
.commands = busvoodoo_hiz_commands,
.commands_nb = LENGTH(busvoodoo_hiz_commands),
.exit = &busvoodoo_hiz_exit,
}
busvoodoo_hiz_commands
static const struct menu_command_t busvoodoo_hiz_commands[]
HiZ menu commands.
Definition: busvoodoo_hiz.c:861
busvoodoo_hiz_exit
static void busvoodoo_hiz_exit(void)
exit HiZ mode
Definition: busvoodoo_hiz.c:74
busvoodoo_hiz_setup
static bool busvoodoo_hiz_setup(char **prefix, const char *line)
setup HiZ mode
Definition: busvoodoo_hiz.c:51
LENGTH
#define LENGTH(x)
get the length of an array
Definition: global.h:26

HiZ mode interface definition.

Definition at line 896 of file busvoodoo_hiz.c.